Moments (decisions) newest first; limit, before, verdict
curl --request GET \
--url https://api.nextintent.ai/v1/sdk/{id}/moments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nextintent.ai/v1/sdk/{id}/moments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nextintent.ai/v1/sdk/{id}/moments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": "<string>"
}Views
Moments
Moments newest first, with limit, before and verdict.
GET
/
sdk
/
{id}
/
moments
Moments (decisions) newest first; limit, before, verdict
Each item carries the page, cart total, reason, verdict (
engage, wait, quiet), tier, the sentence (message), the app’s reason in words (why), and aftermath with the outcome once known. Page with before set to the last item’s ts. Visitor ids are masked for API callers.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The website id
Query Parameters
1 to 200, default 50
ISO timestamp cursor from a previous page
engage, wait or quiet
Response
OK
